Bug 1586189 - Linux kernel configuration on s390x is missing support for SCSI Device Handlers
Summary: Linux kernel configuration on s390x is missing support for SCSI Device Handlers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 28
Hardware: s390x
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-05 16:38 UTC by Benjamin Block
Modified: 2018-06-14 19:16 UTC (History)
18 users (show)

Fixed In Version: kernel-4.16.15-300.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-14 19:16:22 UTC
Type: Bug


Attachments (Terms of Use)

Description Benjamin Block 2018-06-05 16:38:02 UTC
Description of problem:

The kernel config for s390x (did not confirm whether this affects other architectures as well) is missing support for SCSI Device Handlers in Fedora 28. This is simply a config-option (CONFIG_SCSI_DH, and CONFIG_SCSI_DH_RDAC, CONFIG_SCSI_DH_HP_SW, CONFIG_SCSI_DH_EMC, CONFIG_SCSI_DH_ALUA; of which the last 4 can be build as modules). Like the help-text explains shortly, this is necessary for some storage-servers that have none-simple multipath-topologies. One such example would be IBM's Storewize storages, which make use of CONFIG_SCSI_DH_ALUA to signal which ports are active, and which passive.

When using multipathd (device-mapper-multipath), you can also see messages like this popping up in the journal:
Jun 05 18:34:52 S35LP69 modprobe[677]: modprobe: WARNING: Module scsi_dh_alua not found in directory /lib/modules/4.16.13-300.fc28.s390x
Jun 05 18:34:52 S35LP69 modprobe[677]: modprobe: WARNING: Module scsi_dh_emc not found in directory /lib/modules/4.16.13-300.fc28.s390x
Jun 05 18:34:52 S35LP69 modprobe[677]: modprobe: WARNING: Module scsi_dh_rdac not found in directory /lib/modules/4.16.13-300.fc28.s390x

And $(grep SCSI_DH /boot/config-`uname -r`) shows:
# CONFIG_SCSI_DH is not set

Version-Release number of selected component (if applicable):

4.16.13-300.fc28.s390x

Comment 1 Jeremy Cline 2018-06-05 17:45:37 UTC
Hi Benjamin,

Those options are all enabled in the generic configuration so they've been disabled for s390x for some reason or other. I'll see about turning them on in Rawhide and Fedora 28.

Comment 2 Jeremy Cline 2018-06-05 21:22:28 UTC
There was nothing in the logs about why it was disabled and it appears to build on s390x, so I've enabled it for Rawhide and F28. It should arrive in the tomorrow's Rawhide build and the next stable kernel build for F28. The update system will close this ticket when it arrives in F28's updates repository. Please test it out and let us know if you run into any trouble.

Comment 3 Benjamin Block 2018-06-06 08:34:37 UTC
Thank you Jeremy.

Comment 4 Fedora Update System 2018-06-12 13:32:07 UTC
kernel-4.16.15-300.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f1b818a5c9

Comment 5 Fedora Update System 2018-06-13 04:30:53 UTC
kernel-4.16.15-300.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f1b818a5c9

Comment 6 Fedora Update System 2018-06-14 19:16:22 UTC
kernel-4.16.15-300.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.